Download it now!
Bug 45266 - postition of imported chart/shapes from xlsx is bad
Summary: postition of imported chart/shapes from xlsx is bad
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Noel Power
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3 ta...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-26 03:50 UTC by Noel Power
Modified: 2015-01-08 12:18 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
test document (50.45 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2012-01-26 04:12 UTC, Noel Power
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2012-01-26 03:50:31 UTC
test document ( to be attached ) shows position of chart anchor to be at around row 54/55 ( which positions the chart firmly in the middle of the pivot table )
Comment 1 Noel Power 2012-01-26 03:51:09 UTC
already ready working on a fix so assigning to myself
Comment 2 Noel Power 2012-01-26 04:12:19 UTC
Created attachment 56181 [details]
test document

test document that shows the chart positioned in the the middle of the pivot
Comment 3 Noel Power 2012-01-26 04:15:42 UTC
chart should be at around position or row 62
Comment 4 Noel Power 2012-02-16 02:03:16 UTC
fixed

master:4908c16a73b397f83c327789f113658c1ea4d904 &
master:d3a26738b426846ee1a787e7c97280fc43002961
Comment 5 Commit Notification 2014-12-07 00:14:23 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=88d3931d92bc89519acf95f0510f6f2a6ff7c72c

don't write extension elements into ODF namespaces, related fdo#45266

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-12-07 00:14:28 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e417a8fed528034e946bd25e66ce346c1b5384d

use correct xml element name, related fdo#45266

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-12-07 00:14:31 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a26222f5af55e8ffe9784dd411485d3c5c72e983

correct order of xml elements, related fdo#45266

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-12-07 23:39:53 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ed8d0760373e29e4422a4b4b87c273eed4a9a6d0&h=libreoffice-4-4

correct order of xml elements, related fdo#45266

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-12-07 23:57:33 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c795936a66041bb1dff8bd392f462ff80f583385&h=libreoffice-4-4

import part for: " use correct xml element name, related fdo#45266"

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-12-07 23:57:36 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=588500d52141b7379999d42072fa7879af426555&h=libreoffice-4-4

iimport part for: "use correct xml element name, related fdo#45266"

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-12-08 16:26:03 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=80fc80ae704e3ba3587cde3d146829dc012d29a1&h=libreoffice-4-3

import part for: "related fdo#45266, don't write extension elements into

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2014-12-08 16:54:44 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e9681cc74fcb84ebd9d3e68bef8d3158cfbe45eb&h=libreoffice-4-3

correct order of xml elements, related fdo#45266

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2014-12-10 15:39:08 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b8598fda9667e2b6c92c433d4c76dec6aeeaafb&h=libreoffice-4-4

don't write extension elements into ODF namespaces, related fdo#45266

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2014-12-10 21:03:10 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8dfaba9dc059cd27c14c8b9f3a1d1c6951e0b6fe&h=libreoffice-4-3

don't write extension elements into ODF namespaces, related fdo#45266

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2014-12-11 16:22:17 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3328458f260cac0521d831dbcc142504b03e0fa4&h=libreoffice-4-3-5

import part for: "related fdo#45266, don't write extension elements into

It will be available in 4.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2015-01-08 12:18:22 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=21afec83dbb6ab338e43db647345cda81db1039a&h=libreoffice-4-3

import part for: " use correct xml element name, related fdo#45266"

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.